org.apache.datasketches.cpc

## Class StreamingValidation

- java.lang.Object
- - org.apache.datasketches.cpc.StreamingValidation

    public class StreamingValidation
    extends Object

This code is used both by unit tests, for short running tests, and by the characterization repository for longer running, more exhaustive testing. To be accessible for both, this code is part of the main hierarchy. It is not used during normal production runtime.

Author:
  Lee Rhodes, Kevin Lang

### Constructor Summary

Constructors
Constructor and Description
`StreamingValidation(int lgMinK, int lgMaxK, int trials, int ppoN, PrintStream pS, PrintWriter pW)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `start()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamingValidation

    public StreamingValidation(int lgMinK,
                               int lgMaxK,
                               int trials,
                               int ppoN,
                               PrintStream pS,
                               PrintWriter pW)

Parameters:
  `lgMinK` - lgMinK
  `lgMaxK` - lgMaxK
  `trials` - trials
  `ppoN` - ppoN
  `pS` - pS
  `pW` - pW

### Method Detail

#### start

    public void start()